Package org.apache.felix.framework.util.manifestparser

# Class NativeLibraryClause

java.lang.Object
org.apache.felix.framework.util.manifestparser.NativeLibraryClause

public class NativeLibraryClause extends Object

## Constructor Summary

Constructors
Constructor
Description
`NativeLibraryClause(String[] libraryEntries, String[] osnames, String[] processors, String[] osversions, String[] languages, String selectionFilter)`
`NativeLibraryClause(NativeLibraryClause library)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatOSVersion(String value)`
`String[]`
`getLanguages()`
`String[]`
`getLibraryEntries()`
`String[]`
`getOSNames()`
`static List<String>`
`getOsNameWithAliases(String osName)`
`String[]`
`getOSVersions()`
`String[]`
`getProcessors()`
`static List<String>`
`getProcessorWithAliases(String processor)`
`String`
`getSelectionFilter()`
`static void`
`initializeNativeAliases(Map configMap)`
Initialize the processor and os name aliases from Felix Config.
`boolean`
`match(Map configMap)`
`static String`
`normalizeOSName(String value)`
`static String`
`normalizeOSVersion(String value)`
`static String`
`normalizeProcessor(String value)`
`static NativeLibraryClause`
`parse(Logger logger, String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeLibraryClause

public NativeLibraryClause(String[] libraryEntries, String[] osnames, String[] processors, String[] osversions, String[] languages, String selectionFilter)

### NativeLibraryClause

public NativeLibraryClause(NativeLibraryClause library)

## Method Details

### initializeNativeAliases

public static void initializeNativeAliases(Map configMap)
Initialize the processor and os name aliases from Felix Config.

Parameters:
  `config` -

### getLibraryEntries

public String[] getLibraryEntries()

### getOSNames

public String[] getOSNames()

### getProcessors

public String[] getProcessors()

### getOSVersions

public String[] getOSVersions()

### getLanguages

public String[] getLanguages()

### getSelectionFilter

public String getSelectionFilter()

### match

public boolean match(Map configMap) throws BundleException

Throws:
  `BundleException`

### parse

public static NativeLibraryClause parse(Logger logger, String s)

### formatOSVersion

public static String formatOSVersion(String value)

### getOsNameWithAliases

public static List<String> getOsNameWithAliases(String osName)

### getProcessorWithAliases

public static List<String> getProcessorWithAliases(String processor)

### normalizeOSName

public static String normalizeOSName(String value)

### normalizeProcessor

public static String normalizeProcessor(String value)

### normalizeOSVersion

public static String normalizeOSVersion(String value)